# $Revision: 1.3 $, $Date: 2008/07/27 12:05:43 $
Summary:	Instrument Neutral Distributed Interface
Name:		indilib
Version:	0.5
Release:	1
License:	LGPL
Group:		Libraries
URL:		http://indi.sourceforge.net/
Source0:	http://dl.sourceforge.net/indi/%{name}-%{version}.tar.gz
# Source0-md5:	1b370b2aad7c6aa79faccbec20b30278
Patch0:		%{name}-gcc-4.3.patch
BuildRequires:	cfitsio-devel
BuildRequires:	libnova-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
INDI is a distributed control protocol designed to operate
astronomical instrumentation. INDI is small, flexible, easy to parse,
and scalable. It supports common DCS functions such as remote control,
data acquisition, monitoring, and a lot more.

With INDI, you have a total transparent control over your instruments
so you can get more science with less time.

%package devel
Summary:	Header files and static libraries from indilib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on indilib.

%package static
Summary:	Static indilib library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static indilib library.

%prep
%setup -q -n indi
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README* TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libsbigudrv.so.*
%dir %{_datadir}/indi
%{_datadir}/indi/apogee_caminfo.xml

%files devel
%defattr(644,root,root,755)
%{_libdir}/libsbigudrv.la
%attr(755,root,root) %{_libdir}/libsbigudrv.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libsbigudrv.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: indilib.spec,v $
Revision 1.3  2008/07/27 12:05:43  paszczus
- added -gcc-4.3.patch to proper build with newer gcc

Revision 1.2  2008/07/26 16:50:16  paszczus
- attr 755 for .so

Revision 1.1  2008/07/26 13:00:33  paszczus
- initial spec

